<!DOCTYPE html>
<html>
<head>
    <title>inline-block</title>
    <style>
        .container{
            border: solid red;
            width: 800px;
            height: 800px;
        }
        .chessboard{

        }
        .blackbox{
            width: 100px;
            height: 100px;
            background-color: black;
            float: left;

        }
        .whitebox{
            width: 100px;
            height: 100px;
            background-color: white;
            float: left;

        }
    </style>
</head>
<body>
<div class="container" align="center">
    <div class="chessboard">
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>

        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>

        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>

        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>

        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>

        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>

        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
        <div class="whitebox"> </div>
        <div class="blackbox"> </div>
    </div>
</body>
</html>